package com.fzfd.web;

/**
 * Title:        ACG Sample project for DDJ
 * Description:
 * Copyright:    Copyright (c) 2004
 * Company:      FuzzyFind Corporation
 * @author Efraim Berkovich
 * @version 1.0
 */

public class MainFacade
{



  /**
   * Method for login
   */
  public OutLoginMessage login( InLoginMessage request )
  {
    // real authentication should go here

    String userID = request.getUserID();
    String password = request.getPassword();

    OutLoginMessage out = new OutLoginMessage( );

    if( ! password.equalsIgnoreCase( "PASSWORD" ) )
    {
      out.setSuccess( false );
      return out;
    }

    String[] roles = new String[ 2 ];
    roles[ 0 ] = "Everyone";

    if( userID.equalsIgnoreCase( "SYSADMIN" ) )
    {
      roles[ 1 ] = "SysAdmin";
    }
    if( userID.equalsIgnoreCase( "HR" ) )
    {
      roles[ 1 ] = "HR";
    }
    if( userID.equalsIgnoreCase( "Accounting" ) )
    {
      roles[ 1 ] = "Accounting";
    }

    out.setSuccess( true );
    out.setRoles( roles );
    return out;
  }


  /**
   * Service for main screen
   */
  public Message viewMain( Message request )
  {
    return new Message( );
  }

  /**
   * Service for view records
   */
  public Message viewRecords( Message request )
  {
    return new Message( );
  }

  /**
   * Service for edit records
   */
  public Message editRecords( Message request )
  {
    return new Message( );
  }

  /**
   * Service for changing password
   */
  public Message changePassword( Message request )
  {
    Message response = new Message( );
    response.setProperty( "SCREEN", "CHANGED PASSWORD" );
    return response;
  }

  /**
   * Service to get system logs
   */
  public Message getLogs( Message request )
  {
    Message response = new Message( );
    response.setProperty( "SERVER TIME", new java.util.Date().toString() );
    response.setProperty( "another value", "120" );
    return response;
  }


  // SINGLETON


  private static MainFacade anInstance = new MainFacade();

  public static MainFacade getInstance()
  {
    return anInstance;
  }
}